#include <stdio.h>
#include <ctype.h>

#define DONE 2
#define SYM 3
#define NUM 4
#define BSIZE 32

char lexbuff[32];

int lexan() {
  int t;
  while(1)  {
  	t = getchar();
	if( t == ' ' || t == '\t' || t == '\n')  {
	  // Eat white space
	  continue;
	} else if( isdigit(t)) {
	  // Parse the number
	  ungetc(t, stdin);
	  scanf("%d", &t);
	  return NUM;
	} else if( isalpha(t) )  {
	  int b =0;
	  while( isalpha(t) )  {
	    lexbuff[b] = t;
		b += 1;
		if( b >= BSIZE ) {
		  return -1;
		}
		t = getchar();
	  }
	  ungetc( t, stdin );
	  return SYM;
	} else if( t == EOF )  {
	  return DONE;
	}
  }
}
