#include "ubasic.h"
#include <stdio.h>
#include <avr/io.h>
#include <avr/pgmspace.h>
#include "usart.h"

static const char program[] =
"10 gosub 100\n\
20 for i = 1 to 10\n\
30 print i\n\
40 next i\n\
50 print \"end\"\n\
60 end\n\
100 print \"subroutine\"\n\
110 return\n";

FILE uart_str = FDEV_SETUP_STREAM(uart_putchar, uart_getchar, _FDEV_SETUP_RW);

/*---------------------------------------------------------------------------*/
int
main(void)
{
  uart_init();
  stdout = &uart_str;

  printf("hello world\n");
  ubasic_init(program);

  do {
    ubasic_run();
  } while(!ubasic_finished());

  return 0;
}
/*---------------------------------------------------------------------------*/
